Table of Contents

## Name

XSetWMIconName, XGetWMIconName, XSetIconName, XGetIconName - set or read a window's WM_ICON_NAME property

## Syntax

void XSetWMIconName(Display *display, Window w,
  XTextProperty *text_prop);
Status XGetWMIconName(Display *display, Window w,
  XTextProperty *text_prop_return);
int XSetIconName(Display *display, Window w, char
  *icon_name);
Status XGetIconName(Display *display, Window w, char
  **icon_name_return);

## Arguments

Specifies the connection to the X server.

Specifies the icon name, which should be a null-terminated string.

Returns the window's icon name, which is a null-terminated string.

Specifies the XTextProperty structure to be used.

Returns the XTextProperty structure.

Specifies the window.

## Description

The XSetWMIconName convenience function calls XSetTextProperty to set the WM_ICON_NAME property.

The XGetWMIconName convenience function calls XGetTextProperty to obtain the WM_ICON_NAME property. It returns a nonzero status on success; otherwise, it returns a zero status.

The XSetIconName function sets the name to be displayed in a window's icon.

XSetIconName can generate BadAlloc and BadWindow errors.

The XGetIconName function returns the name to be displayed in the specified window's icon. If it succeeds, it returns a nonzero status; otherwise, if no icon name has been set for the window, it returns zero. If you never assigned a name to the window, XGetIconName sets icon_name_return to NULL. If the data returned by the server is in the Latin Portable Character Encoding, then the returned string is in the Host Portable Character Encoding. Otherwise, the result is implementation-dependent. When finished with it, a client must free the icon name string using XFree.

XGetIconName can generate a BadWindow error.

## Properties

WM_ICON_NAME
  The name to be used in an icon.

## Diagnostics

BadAlloc
  The server failed to allocate the requested resource or server memory.
BadWindow
  A value for a Window argument does not name a defined Window.

## See Also

XAllocClassHint(3X11) , XAllocIconSize(3X11) , XAllocSizeHints(3X11) , XAllocWMHints(3X11) , XFree(3X11) , XSetCommand(3X11) , XSetTransientForHint(3X11) , XSetTextProperty(3X11) , XSetWMClientMachine(3X11) , XSetWMColormapWindows(3X11) , XSetWMName(3X11) , XSetWMProperties(3X11) , XSetWMProtocols(3X11) , XStringListToTextProperty(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Properties
- Diagnostics
- See Also